Developer Portal
InsightsPurpleTRACMTIPodium
Other
Other
  • Weather
InsightsPurpleTRACMTIPodium
Other
Other
  • Weather
  1. Numerical Weather Prediction
  • Overview
  • Weather Authentication
  • Numerical Weather Prediction
  • Weather Parameters
  • Numerical Weather Prediction
    • Data at a point
      POST
    • Get Weather Parameter Details
      GET
    • Grid data as CSV
      GET
  • Schemas
    • GridCsvRequestBody
    • CoordinateSchema
    • DataAtAPointRequestBody
    • DataAtAPointResponseBody
    • GetWeatherParamsResponseBody
    • ParamValueSchema
    • PositionSchema
    • WeatherParams
  1. Numerical Weather Prediction

Get Weather Parameter Details

Production
https://aviso-api.stratumfive.com
Production
https://aviso-api.stratumfive.com
GET
https://aviso-api.stratumfive.com
/api/numericalweather/parameters
Get a list of all currently available weather parameters.

Request

None

Responses

🟢200OK
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://aviso-api.stratumfive.com/api/numericalweather/parameters'
Response Response Example
Success Example
{
    "aliases": null,
    "dataRepository": null,
    "description": "Climatology only wind speed in knots",
    "forecastFileHourFormat": null,
    "fullScanForMinMax": null,
    "hidden": false,
    "hoursFromLatestModelInitToInvokeSecondaryParam": null,
    "maxHour": null,
    "modelInitLookbackStepHours": null,
    "multiDateToSingleValueCount": null,
    "multiDateToSingleValueFunction": null,
    "multiDateToSingleValueRelativeBehaviour": null,
    "multiToSingleConversion": null,
    "obsolete": false,
    "param": "climo.wind_speed.kts",
    "paths": [
        {
            "dataRepository": "climo",
            "daysInWeek": null,
            "forecastFileHourFormat": null,
            "fullScanForMinMax": null,
            "hourOffsetFromStartOfDay": 0,
            "hoursFromLatestModelInitToInvokeSecondaryParam": null,
            "interval": 3,
            "maxForecastHours": 0,
            "maxHour": null,
            "modelInitLookbackStepHours": null,
            "modelRuns": null,
            "multiDateToSingleValueCount": null,
            "multiDateToSingleValueFunction": "MonthInterpolation",
            "multiDateToSingleValueRelativeBehaviour": null,
            "multiToSingleConversion": "UAndVToSpeed",
            "path": "u_wind|v_wind",
            "secondaryParam": null,
            "useFinalForecastForOutOfRangeData": null,
            "usePreviousModelRunForTauZero": false,
            "validFrom": null,
            "validTo": null,
            "valueAdjustFunction": null,
            "valueToAdjustBy": null
        }
    ],
    "secondaryParam": null,
    "useFinalForecastForOutOfRangeData": null,
    "valueAdjustFunction": null,
    "valueToAdjustBy": null
}
Modified at 2026-09-22 15:10:37
Previous
Data at a point
Next
Grid data as CSV
Built with